Package org.apache.sling.caconfig.management

# Interface ConfigurationManagementSettings

@ProviderType public interface ConfigurationManagementSettings
Settings for reading and writing configurations.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getConfigCollectionPropertiesResourceNames()`
`Set<String>`
`getIgnoredPropertyNames(Set<String> propertyNames)`
Detects property names that should be ignored/filtered out when reading or writing configuration data properties.

## Method Details

### getIgnoredPropertyNames

Set<String> getIgnoredPropertyNames(Set<String> propertyNames)
Detects property names that should be ignored/filtered out when reading or writing configuration data properties.

Parameters:
  `propertyNames` - Existing property names to evaluate.
Returns:
  Property names that should be ignored/filtered out from the given set of property names.

### getConfigCollectionPropertiesResourceNames

Collection<String> getConfigCollectionPropertiesResourceNames()

Returns:
  Config collection parent properties resource names.